curl --request GET \
--url https://api.example.com/api/treasury{
"yields": {
"oneMonth": {},
"threeMonth": {},
"twoYear": {},
"tenYear": {}
},
"source": "<string>",
"record_date": "<string>",
"fetched_at": "<string>",
"isLive": true,
"fallback_at": {},
"fallback_reason": {}
}Fetch current U.S. Treasury yield curve data
curl --request GET \
--url https://api.example.com/api/treasury{
"yields": {
"oneMonth": {},
"threeMonth": {},
"twoYear": {},
"tenYear": {}
},
"source": "<string>",
"record_date": "<string>",
"fetched_at": "<string>",
"isLive": true,
"fallback_at": {},
"fallback_reason": {}
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/zz-plant/whether/llms.txt
Use this file to discover all available pages before exploring further.
GET /api/treasury
curl https://your-domain.com/api/treasury
{
"yields": {
"oneMonth": 4.25,
"threeMonth": 4.35,
"twoYear": 4.15,
"tenYear": 4.05
},
"source": "US_TREASURY",
"record_date": "2026-03-02",
"fetched_at": "2026-03-03T10:30:00Z",
"isLive": true,
"fallback_at": null,
"fallback_reason": null
}
isLive field indicates whether you’re receiving current data or cached fallback values.